org.apache.xerces.xni.parser

## Interface XMLDTDContentModelSource

- All Known Subinterfaces:
    XMLDTDContentModelFilter, XMLDTDScanner

      public interface XMLDTDContentModelSource

  Defines a DTD content model source. In other words, any object that implements this interface is able to emit DTD content model "events" to the registered DTD content model handler. These events could be produced by parsing an XML document's internal or external subset, could be generated from some other source, or could be created programmatically. This interface does not say how the events are created, only that the implementor is able to emit them.
  Version:
    $Id: XMLDTDContentModelSource.java 447244 2006-09-18 05:20:40Z mrglavas $
  Author:
    Andy Clark, IBM

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `XMLDTDContentModelHandler` | `getDTDContentModelHandler()` Returns the DTD content model handler.
    `void` | `setDTDContentModelHandler(XMLDTDContentModelHandler handler)` Sets the DTD content model handler.

- - ### Method Detail

    - #### setDTDContentModelHandler

          void setDTDContentModelHandler(XMLDTDContentModelHandler handler)

      Sets the DTD content model handler.

    - #### getDTDContentModelHandler

          XMLDTDContentModelHandler getDTDContentModelHandler()

      Returns the DTD content model handler.

Copyright © 1999-2010 The Apache Software Foundation. All Rights Reserved.